Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007619OCamllexing and parsingpublic2017-09-03 04:102017-10-18 17:11
ReporterChriChri 
Assigned To 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.05.0 
Target VersionFixed in Version4.06.0 +dev/beta1/beta2/rc1 
Summary0007619: last semi column in inside the last expression
DescriptionCompiling the following

let f x y = x y; x y;

Produce the following position for the first application:

              expression (tmp2.ml[1,0+12]..[1,0+15])
                Pexp_apply

And this for the second:

              expression (tmp2.ml[1,0+17]..[1,0+21])
                Pexp_apply

The semicolumn is part of the last application, which look wrong
Steps To Reproducecompile the above line with -dparsetree
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0018402)
xleroy (administrator)
2017-09-29 19:56

Assuming this is the behavior of this trailing semicolon, how bad is it? who or what piece of code is affected by it? why should someone invest time and effort tracking it down and changing it?
(0018436)
ChriChri (reporter)
2017-10-01 06:07

Because when writing alternative parser for ocaml, it might be a nightmare to
get the same position as OCaml. And then when you test, it is hard to distinguish
the differences that are important and those that are irrelevant (like this one).

I will try to see if it is easy to fix and submit a pull request ...
(0018437)
ChriChri (reporter)
2017-10-01 06:10

I think the fix took me 30s ... And will make the position more
consistant with the optional last semicolmun in list or arrays.
(0018438)
ChriChri (reporter)
2017-10-01 08:47

I submitted a PR on the 4.06.0 branch with
- removed one reloc_exp from parsing/parser.ml
- added two lines in Changes
- fixed the reference for (only) one test that had a useless ';'

I hope I followed the guidelines ...
(0018587)
xleroy (administrator)
2017-10-18 17:11

https://github.com/ocaml/ocaml/pull/1387 [^] was merged.

- Issue History
Date Modified Username Field Change
2017-09-03 04:10 ChriChri New Issue
2017-09-29 19:56 xleroy Note Added: 0018402
2017-09-29 19:56 xleroy Severity minor => tweak
2017-09-29 19:56 xleroy Status new => acknowledged
2017-10-01 06:07 ChriChri Note Added: 0018436
2017-10-01 06:10 ChriChri Note Added: 0018437
2017-10-01 08:47 ChriChri Note Added: 0018438
2017-10-18 17:11 xleroy Note Added: 0018587
2017-10-18 17:11 xleroy Status acknowledged => resolved
2017-10-18 17:11 xleroy Resolution open => fixed
2017-10-18 17:11 xleroy Fixed in Version => 4.06.0 +dev/beta1/beta2/rc1


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker